// Created by ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class OpenCasketWAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new OpenCasketWAddonDeed();
			}
		}

		[ Constructable ]
		public OpenCasketWAddon()
		{
			AddComponent( new AddonComponent( 7210 ), 0, 1, 0 );
			AddComponent( new AddonComponent( 7208 ), 2, 1, 0 );
			AddComponent( new AddonComponent( 7209 ), 1, 1, 0 );
			AddComponent( new AddonComponent( 7214 ), 2, 0, 0 );
			AddComponent( new AddonComponent( 7211 ), -1, 0, 0 );
			AddComponent( new AddonComponent( 7212 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 7213 ), 1, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 7210 );
			AddComponent( ac, 0, 1, 0 );
			ac = new AddonComponent( 7211 );
			AddComponent( ac, -1, 0, 0 );
			ac = new AddonComponent( 7212 );
			AddComponent( ac, 0, 0, 0 );
			ac = new AddonComponent( 7213 );
			AddComponent( ac, 1, 0, 0 );
			ac = new AddonComponent( 7209 );
			AddComponent( ac, 1, 1, 0 );

		}

		public OpenCasketWAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class OpenCasketWAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new OpenCasketWAddon();
			}
		}

		[Constructable]
		public OpenCasketWAddonDeed()
		{
			Name = "OpenCasketW";
Hue = 2406;
		}

		public OpenCasketWAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}